import numpy as np
def squared(lst):
    return [i ** 2 for i in lst]


def llik_fun_AR1(theta,x):
    alpha=theta[0]
    beta=theta[1]
    sig=theta[2]

    u = np.asarray(x[1:]) - alpha - beta*np.asarray(x[0:len(x)-1])

    l = -(1/2)*np.log(2*np.pi*sig) - (1/2)*np.asarray(np.square(u))/sig

# mean log likelihood
    llik = -np.mean(l)
    return llik
